Account Variables
Create Account Variable POST /account-variables
Get Account Variable GET /account-variables/{idOrTitle}
Update Account Variable PATCH /account-variables/{idOrTitle}
Delete Account Variable DELETE /account-variables/{idOrTitle}
List Account Variables GET /account-variables
Body
titlestringRequired
valuestringRequired
Responses
200
Success
application/json
400
BadRequestError
application/json
429
RateLimitError
application/json
500
InternalServerError
application/json
post/account-variables
POST /v3/account-variables HTTP/1.1
Host: api.mobile-text-alerts.com
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"title": "text",
"value": "text"
}{
"success": true,
"error": "text",
"message": "text",
"data": {
"id": 1,
"title": "text",
"value": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Path parameters
idOrTitlestringRequired
Responses
200
Success
application/json
400
BadRequestError
application/json
429
RateLimitError
application/json
500
InternalServerError
application/json
get/account-variables/{idOrTitle}
GET /v3/account-variables/{idOrTitle} HTTP/1.1
Host: api.mobile-text-alerts.com
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"id": 1,
"title": "text",
"value": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Path parameters
idOrTitlestringRequired
Body
titlestringOptional
valuestringOptional
Responses
200
Success
application/json
400
BadRequestError
application/json
429
RateLimitError
application/json
500
InternalServerError
application/json
patch/account-variables/{idOrTitle}
PATCH /v3/account-variables/{idOrTitle} HTTP/1.1
Host: api.mobile-text-alerts.com
Content-Type: application/json
Accept: */*
Content-Length: 31
{
"title": "text",
"value": "text"
}{
"success": true,
"error": "text",
"message": "text",
"data": {
"id": 1,
"title": "text",
"value": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
}Path parameters
idOrTitlestringRequired
Responses
200
Success
application/json
400
BadRequestError
application/json
429
RateLimitError
application/json
500
InternalServerError
application/json
delete/account-variables/{idOrTitle}
DELETE /v3/account-variables/{idOrTitle} HTTP/1.1
Host: api.mobile-text-alerts.com
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": null
}Query parameters
pagenumberOptional
pageSizenumberOptional
sortDirectionstring · enumOptionalPossible values:
querystringOptional
sortBystringOptional
Responses
200
Success
application/json
400
BadRequestError
application/json
429
RateLimitError
application/json
500
InternalServerError
application/json
get/account-variables
GET /v3/account-variables HTTP/1.1
Host: api.mobile-text-alerts.com
Accept: */*
{
"success": true,
"error": "text",
"message": "text",
"data": {
"rows": [
{
"id": 1,
"title": "text",
"value": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z"
}
],
"page": 1,
"pageSize": 1,
"total": 1
}
}Last updated
Was this helpful?